# SpeexSBMode Struct Reference

`#include <modes.h>`

List of all members.

## Public Attributes

const SpeexMode * | nb_mode
int | frameSize
int | subframeSize
int | lpcSize
spx_word16_t | gamma1
spx_word16_t | gamma2
spx_word16_t | lpc_floor
const SpeexSubmode * | submodes [SB_SUBMODES]
int | defaultSubmode
int | low_quality_map [11]
int | quality_map [11]

## Detailed Description

Struct defining the encoding/decoding mode for SB-CELP (wideband)

## Member Data Documentation

const SpeexMode* SpeexSBMode::nb_mode

Embedded narrowband mode

int SpeexSBMode::frameSize

Size of frames used for encoding

int SpeexSBMode::subframeSize

Size of sub-frames used for encoding

int SpeexSBMode::lpcSize

Order of LPC filter

spx_word16_t SpeexSBMode::gamma1

Perceptual filter parameter #1

spx_word16_t SpeexSBMode::gamma2

Perceptual filter parameter #1

spx_word16_t SpeexSBMode::lpc_floor

Noise floor for LPC analysis

const SpeexSubmode* SpeexSBMode::submodes[SB_SUBMODES]

Sub-mode data for the mode

int SpeexSBMode::defaultSubmode

Default sub-mode to use when encoding

int SpeexSBMode::low_quality_map[11]

Mode corresponding to each quality setting

int SpeexSBMode::quality_map[11]

Mode corresponding to each quality setting

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/libspeex/modes.h